curl --request GET \
--url https://api.syntage.com/rpc/actos/{id} \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.syntage.com/rpc/actos/{id}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.syntage.com/rpc/actos/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"@context": "/contexts/RpcActo",
"id": "91106968-1abd-4d64-85c1-4e73d96fb997",
"formaPrecodificada": "M0 - ...",
"acto": "<string>",
"nci": "<string>",
"fechaDeIngreso": "01/01/2017 12:00:00 T.CENTRO",
"fechaDeInscripcion": "01/01/2017 12:00:00 T.CENTRO",
"numeroDeDocumento": "<string>",
"modalidad": "<string>",
"data": {},
"file": {
"@id": "/files/91106968-1abd-4d64-85c1-4e73d96fb997",
"@type": "File",
"id": "91106968-1abd-4d64-85c1-4e73d96fb997",
"type": "invoice.cfdi.xml",
"resource": "/invoices/7c45e9c6-8f7f-4d0e-b6e5-65fef6c8c2f9",
"mimeType": "text/xml",
"extension": "xml",
"size": 40544,
"filename": "6f3c5312-2849-4525-86f6-c48a54c64c60.xml",
"createdAt": "2020-01-01T12:15:00.000Z",
"updatedAt": "2020-01-01T12:15:00.000Z"
},
"createdAt": "2020-01-01T12:15:00.000Z",
"updatedAt": "2020-01-01T12:15:00.000Z",
"@id": "/rpc/actos/91106968-1abd-4d64-85c1-4e73d96fb997",
"@type": "RpcActo"
}{
"message": "<string>"
}{
"message": "<string>"
}Retrieve RPC acto
Retrieve one RPC acto by ID, including registry act metadata, parsed act data, and file reference when a registry document is available.
Authorizations
Your API key is available in the Production and Sandbox dashboards.
Path Parameters
Response
RPC acto resource response
Registry act nested in an RPC entidade response
RPC acto ID
"91106968-1abd-4d64-85c1-4e73d96fb997"
RPC pre-coded form for the act
"M0 - ..."
Name or type of registry act
NCI reported by RPC
Date and time the act was submitted to RPC
"01/01/2017 12:00:00 T.CENTRO"
Date and time the act was registered by RPC
"01/01/2017 12:00:00 T.CENTRO"
Document number reported by RPC
Act modality reported by RPC
Parsed act data from RPC
Show child attributes
Show child attributes
Date and time the resource was created
"2020-01-01T12:15:00.000Z"
Date and time the resource was last updated
"2020-01-01T12:15:00.000Z"
RPC acto IRI reference
"/rpc/actos/91106968-1abd-4d64-85c1-4e73d96fb997"
Was this page helpful?